#introducao{
  width: 100%;

  background-image: url(../../../static/imgs/banner-home-3.jpg);

  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;

  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.477);
}

/* escurecer imagem da sessão */
#introducao > div{
  background-color: rgba(0, 0, 0, 0.5);
}


/* conteiner de todos os conteúdos */
#introducao-content{
  padding: 30px 10px;

  display: flex;
  flex-direction: column;
  row-gap: 20px;
}

#introducao h1{
  font-size: 1.5em;
}

#introducao p{
  font-size: 0.9em;
}

/* 
  *Links
  ---------------------------------
*/

/* caixa envolvendo links */
#introducao-content > div{
  display: flex;
  flex-wrap: wrap;

  justify-content: center;
  column-gap: 10px;
  row-gap: 10px;
}

#introducao a{ 
  flex: 1 1 0;

  display: flex;
  align-items: center;
  justify-content: center;

  padding: 10px 15px;
  
  border-radius: 5px;
  box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.5);

  text-align: center;
  font-size: 0.8em;
}

#introducao-fale-conosco{
  background-color: var(--color3);
}

#introducao-fale-conosco:hover{
  color: black;
  background-color: var(--color2);
}

#introducao-servicos{
  border: 1px solid var(--text-color);
}

#introducao-servicos:hover{
  color: var(--color1);
  border: 1px solid var(--color2);
}
/*---------------------------------*/

/* Media Query */

@media screen and (min-width:400px) {
  #introducao-content{
    padding: 60px 30px;
  }
}

@media screen and (min-width:481px) {
  #introducao p{
    font-size: 1em;
  }

  #introducao a{
    font-size: 1em;
  }
}

@media screen and (min-width:481px) and (max-width:600px) {
  #introducao h1{  
    font-size: 1.8em;
  }
}

@media screen and (min-width:600px) {
  #introducao-content{
    row-gap: 40px;
  }
}

@media screen and (min-width:600px) and (max-width:768px){
  #introducao-content > div{
    justify-content: space-evenly;
  }

  #introducao a{
    flex: 0 1 40%;
  }
}

@media screen and (min-width:600px) and (max-width:1024px){
  #introducao h1{  
    font-size: 2em;
  }
}


/* laptops / small screens */
@media screen and (min-width:769px){
  #introducao-content{
    width: 50%;
  }
}

@media screen and (min-width:769px) and (max-width:1024px){
  #introducao-content{
    padding: 80px 50px;
  }
}

/* desktops */
@media screen and (min-width:1025px){
  #introducao h1{  
    font-size: 2.5em;
  }

  #introducao p{
    font-size: 1.3em;
  }

  #introducao h1, #introducao p{
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.477);
  }

  #introducao a{
    text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.4);
  }
}

@media screen and (min-width:1025px) and (max-width:1200px){
  #introducao-content{
    padding: 144px 100px;
  }
}

/* large screens */
@media screen and (min-width:1201px){
  #introducao-content{
    padding: 150px 128px;
  }
  
}